Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.addressing.eprs
Class HTTPEpr

    java.lang.Object
      org.jboss.soa.esb.addressing.EPR
          org.jboss.soa.esb.addressing.eprs.HTTPEpr

    public class HTTPEpr

extends EPR

A helper class for using HTTP style EPRs. Simply create instances of this class instead of the base EPR.

Author:
  marklittle

Field Summary

Fields inherited from class org.jboss.soa.esb.addressing.EPR
`_logger`

Constructor Summary
`HTTPEpr(EPR epr)`
`HTTPEpr(EPR epr, org.w3c.dom.Element header)`
`HTTPEpr(java.lang.String url)`
`HTTPEpr(java.net.URI uri)` Construct the HTTP EPR using the specified URI.
`HTTPEpr(java.net.URL url)` Deprecated.

Method Summary
`EPR` | `copy()` Return a copy of this EPR.
`java.net.URL` | `getURL()` Deprecated.
`void` | `setURL(java.net.URL url)` Deprecated.
`java.lang.String` | `toString()`
`static java.net.URI` | `type()`

Methods inherited from class org.jboss.soa.esb.addressing.EPR
`equals, getAddr, getURI, setAddr, setURI`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTTPEpr

    public HTTPEpr(EPR epr)

### HTTPEpr

    public HTTPEpr(EPR epr,
                   org.w3c.dom.Element header)

### HTTPEpr

    public HTTPEpr(java.net.URL url)
            throws java.net.URISyntaxException

  Deprecated.

  Construct the HTTP EPR using the specified URL.

  Parameters:
    `url` -
  Throws:
    `java.net.URISyntaxException`

### HTTPEpr

    public HTTPEpr(java.net.URI uri)

  Construct the HTTP EPR using the specified URI.

  Parameters:
    `uri` -
  Throws:
    `java.net.URISyntaxException`

### HTTPEpr

    public HTTPEpr(java.lang.String url)
            throws java.net.URISyntaxException

Throws:
  `java.net.URISyntaxException`

Method Detail

### setURL

    public final void setURL(java.net.URL url)

  Deprecated.

  Set the URL for this endpoint.

  Parameters:
    `url` - the address.

### getURL

    public final java.net.URL getURL()

  Deprecated.

  Get the URL address.

  Returns:
    the address.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EPR`

### copy

    public EPR copy()

  Description copied from class: `EPR`
  Return a copy of this EPR.

  Overrides:
    `copy` in class `EPR`

### type

    public static final java.net.URI type()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD